Mailinglist Archive: opensuse (818 mails)

< Previous Next >
Re: [opensuse] Help: Python GTK/Gobject problem with OpenSuSE 11.4
On Mon, 2 Jul 2012 23:27:38 Adam Tauno Williams wrote:
On Sun, 2012-07-01 at 21:38 +0930, Rodney Baker wrote:
Hi all. I'm have an ongoing problem with apps that use python-gtk under
11.4 / KDE 4.6.5 failing to run. The error message is as follows:

Traceback (most recent call last):
File "/usr/local/bin/chirpw", line 25, in <module>

import gtk

File "/usr/lib/python2.7/site-packages/gtk-2.0/gtk/__init__.py", line
40, in

<module>

from gtk import _gtk

ImportError: could not import gobject (could not find _PyGObject_API
object)

Is the python-gobject package installed?

Yes. Output of rpm -qa | grep 'python'

python-totem-2.32.0-6.1.i586
python-beautifulsoup-3.2.1-11.1.noarch
python-urlgrabber-3.1.0-188.1.noarch
python-gnomevfs-2.28.1-9.1.i586
python-qt4-4.8.3-4.5.2.i586
python-opengl-3.0.1-24.1.noarch
python-bonobo-2.28.1-9.1.i586
python-doc-2.7-8.1.noarch
python-enchant-1.6.5-2.1.noarch
python-numpy-devel-1.6.1-22.1.i586
python-pycrypto-2.5-11.1.i586
python-notify-devel-0.1.1-22.1.i586
evolution-python-plugins-3.0.3-1.6.i586
python-metacity-2.32.0-6.1.i586
python-devel-2.7.2-7.14.1.i586
python-gobject-3.0.2-2.3.1.i586
python-wxWidgets-2.8.11.0-4.7.1.i586
python-cupshelpers-1.2.5-5.10.1.i586
python-pygame-1.9.1-18.1.i586
python-paramiko-1.7.7.1-17.1.noarch
python-gtk-vnc-0.4.2-4.1.i586
libvirt-python-0.8.8-0.12.1.i586
python-cairo-1.10.0-19.1.i586
python-smbc-1.0.10-4.1.i586
python-orbit-2.24.0-8.1.i586
python-mediaprofiles-2.32.0-6.1.i586
python-gtk-debuginfo-2.24.0-29.3.i586
python-kde4-devel-4.6.5-2.6.i586
python-eyeD3-0.6.18-11.2.noarch
pythoncad-DS1_R36-206.1.i586
libpython3_2mu1_0-3.2.1-5.6.2.i586
python-sip-bin-4.13.2-10.1.i586
python-cups-1.9.52-4.1.i586
apache2-mod_python-3.3.1-161.3.1.i586
python-sip-4.12.1-3.1.i586
python-idle-2.7-9.12.1.i586
python-pysvn-1.7.6-15.1.i586
python-cxx-6.2.3-2.1.noarch
python-pyasn1-modules-0.0.2-3.1.noarch
python-gtkglext-1.1.0-119.1.i586
python-brlapi-4.2-7.4.i586
python-gtk-devel-2.24.0-29.3.i586
python-gobject2-2.28.6-15.1.i586
python-gobject-cairo-3.0.2-2.3.1.i586
libboost_python1_44_0-1.44.0-5.1.i586
python-bugbuddy-2.32.0-6.1.i586
python-evince-2.32.0-6.1.i586
gimp-plugins-python-2.6.11-13.18.1.i586
python-optcomplete-1.2_devel-14.1.noarch
python-evolution-2.32.0-6.1.i586
python3-base-3.2.1-5.6.2.i586
libboost_python1_38_0-1.38.0-7.3.i586
libboost_python1_39_0-1.39.0-4.3.1.i586
dbus-1-python-0.83.2-2.1.i586
python-rsvg-2.32.0-6.1.i586
python-magic-5.04-10.1.i586
python-goocanvas-0.14.1-8.1.i586
python3-tools-3.2.1-5.6.2.i586
python-qt4-devel-4.8.3-4.5.2.i586
python-tk-2.7-9.12.1.i586
python-sip-devel-4.12.1-3.1.i586
python-lxml-2.3.3-18.1.i586
python-xlib-0.14-102.2.noarch
python-serial-2.5-2.4.noarch
python-gtop-2.32.0-6.1.i586
python-qscintilla-2.4.5-2.1.i586
python-curses-2.7-9.12.1.i586
python-notify-0.1.1-22.1.i586
python-mlt-0.7.8-1.1.i586
python-gnomedesktop-2.32.0-6.1.i586
python-pygtkhelpers-0.4.2-1.1.noarch
yast2-python-bindings-2.20.0-7.1.i586
python-asn1-0.0.11-4.1.noarch
python-louis-2.1.1-2.1.i586
python-gnomeapplet-2.32.0-6.1.i586
python-atspi-2.0.2-1.3.noarch
rpm-python-4.8.0-27.1.i586
python-gammu-1.25.0-10.4.i586
python-gconf-2.28.1-9.1.i586
python-qt4-utils-4.8.5-69.1.i586
python-iniparse-0.4-23.1.noarch
python-qt4-devel-debuginfo-4.8.3-3.2.i586
python-xml-2.7-8.12.1.i586
python-sip-debuginfo-4.13.2-10.1.i586
python-numpy-1.6.1-22.1.i586
libxml2-python-2.7.8+git20110708-3.3.1.i586
python-brasero-2.32.0-6.1.i586
python3-3.2.1-5.3.1.i586
python-vte-0.28.2-1.1.i586
python-cmdln-1.1.1-27.1.i586
python-logilab-astng-0.23.1-26.1.noarch
python-gnomeprint-2.32.0-6.1.i586
libpython2_7-1_0-2.7.2-7.14.1.i586
python-kde4-debuginfo-4.6.5-2.6.i586
python-pybluez-0.18-21.1.i586
xchat-python-2.8.8-5.3.i586
libpyglib-gi-2_0-python0-3.0.2-2.3.1.i586
libxslt-python-1.1.26-2.1.i586
python-satsolver-0.16.3-0.2.1.i586
python-pam-0.5.0-150.1.i586
python-httplib2-0.7.2-14.2.noarch
python-gstreamer-0_10-0.10.22-3.1.i586
python-telepathy-0.15.19-4.1.noarch
python-wxWidgets-lang-2.8.11.0-4.7.1.i586
python-pexpect-2.3-59.1.i586
python-virtinst-0.600.1-4.10.1.i586
python-gtkglext-devel-1.1.0-119.1.i586
python3-xml-3.2.1-5.6.2.i586
dbus-1-python-devel-0.83.2-2.1.i586
python-2.7-9.12.1.i586
python-atspi-corba-1.32.0-8.1.i586
python-rope-0.9.3-3.1.noarch
python-reportlab-2.5-18.1.i586
python-gnome-menus-3.0.1-1.18.i586
python-gtk-doc-2.24.0-29.3.noarch
libpython2_6-1_0-2.6.2-6.7.1.i586
python-gnomekeyring-2.32.0-6.1.i586
python-configobj-4.7.2-24.1.noarch
python-xdg-0.19-27.1.noarch
python-gtkspell-2.25.3-48.25.i586
libstorage-python-2.20.7-3.1.i586
python-cx_Freeze-4.2.3-3.2.i586
python-libproxy-0.4.7-14.1.noarch
gnome-python-desktop-2.32.0-6.1.i586
python-gobject-devel-3.0.2-2.3.1.i586
python-pivy-0.5.0svn765-4.4.i586
python-pyOpenSSL-0.12-11.2.i586
python-cairo-devel-1.10.0-19.1.i586
python-gtk-2.24.0-29.3.i586
python-base-2.7.2-7.14.1.i586
python-gobject2-devel-2.28.6-15.1.i586
python-kde4-4.6.5-2.6.i586
python-logilab-common-0.57.1-29.1.noarch
python-pylint-0.25.1-21.1.noarch
python-gtksourceview-2.10.1-26.2.i586
python-simplejson-2.4.0-14.1.i586
python-gnomecanvas-2.28.1-9.1.i586
python-gnome-2.28.1-9.1.i586
python-kdebase4-4.6.5-2.3.i586
python-imaging-1.1.7-24.1.i586
python-ldap-2.4.9-17.1.i586
python-wnck-2.32.0-6.1.i586




--
==========================================================================
Rodney Baker VK5ZTV
rodney.baker@xxxxxxxxxxxx
==========================================================================
--
To unsubscribe, e-mail: opensuse+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse+owner@xxxxxxxxxxxx

< Previous Next >